Bug 62142 - Mesa/demo mipmap_limits upside down with running by SOFTWARE
Mesa/demo mipmap_limits upside down with running by SOFTWARE
Status: CLOSED FIXED
Product: Mesa
Classification: Unclassified
Component: Mesa core
unspecified
All Linux (All)
: medium major
Assigned To: mesa-dev
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-11 05:10 UTC by ye.tian
Modified: 2015-05-13 07:29 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Xorg.0.log (45.47 KB, text/plain)
2013-03-11 05:10 UTC, ye.tian
Details
mipmap_limits SOFTWARE (98.60 KB, image/jpeg)
2013-03-11 05:13 UTC, ye.tian
Details
mipmap_limits DRI (93.74 KB, image/jpeg)
2013-03-11 05:15 UTC, ye.tian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ye.tian 2013-03-11 05:10:33 UTC
Created attachment 76312 [details]
Xorg.0.log

System Environment:       
----------------------------------------------
Platform: IVB HSW SNB
Arch: x86_64
Libdrm:           (master) libdrm-2.4.42
Mesa:             (9.1) mesa-9.1
Xserver:          (server-1.13-branch) xorg-server-1.13.2.902
Xf86_video_intel: (master) 2.21.3
Cairo:            (master) 1.12.14
Libva:            (master) libva-1.1.0
Libva_intel_driver: (master) 00f65b78e6de520a4820702207ce098c6b073724
Kernel:           3.8

Bug detailed description:
----------------------------------------------
Mesa/demo mipmap_limits upside down with running by SOFTWARE. The problem also exists on 2012Q4.Please see photo and Xorg.0.log attched.

Reproduce steps:
---------------------------------------------
1, xinit&
2, gnome-session&
3, ./tests/mipmap_limits 
4,LIBGL_ALWAYS_SOFTWARE=1 ./tests/mipmap_limits
Comment 1 ye.tian 2013-03-11 05:13:58 UTC
Created attachment 76313 [details]
mipmap_limits SOFTWARE
Comment 2 ye.tian 2013-03-11 05:15:11 UTC
Created attachment 76314 [details]
mipmap_limits DRI
Comment 3 Eric Anholt 2013-03-30 23:41:10 UTC
You shouldn't be setting that environment variable.
Comment 4 Gordon Jin 2013-04-23 02:36:27 UTC
will it be a valid bug for soft render?
Comment 5 Eric Anholt 2013-04-23 17:39:59 UTC
Sure, it's a bug in that software, but we don't care and you're wasting your time testing it.
Comment 6 Ian Romanick 2013-12-01 06:48:12 UTC
Should be fixed by:

commit a43b49dfb13dc7e6d2d6d7ceee892077038d7102
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Nov 13 12:53:52 2013 +1000

    mesa/swrast: fix inverted front buffer rendering with old-school swrast
    
    I've no idea when this broke, but we have some people who wanted it fixed,
    so here's my attempt.
    
    reproducer, run readpix with swrast hit f, or run trival tri -sb things are
    upside down, after this patch they aren't.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=62142
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=66213
    
    Cc: <mesa-stable@lists.freedesktop.org>"
    Signed-off-by: Dave Airlie <airlied@redhat.com>
Comment 7 meng 2013-12-02 06:31:56 UTC
Verified it.